Add artist to favorites
This endpoint is restricted to specific plans. View pricing
Flag an artist to accelerate their audience data refresh rate.
Use this endpoint to add an artist to your priority monitoring list.
Request
POST
/api/v2/favorite/artist/{uuid}
Path parameters
| Parameter | Value | Description | Additional |
|---|---|---|---|
| uuid | string | An artist UUID | Required |
Response
| Code | Description | Resource |
|---|---|---|
| 200 |
OK
An Artist response |
Artist |
| 400 |
Bad Request
Invalid request |
|
| 401 |
Unauthorized
You are not logged in |
|
| 403 |
Forbidden
This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access. |
|
| 404 |
Not Found
Artist not found |
|
| 405 |
Method Not Allowed
Sandbox only. This operation is not allowed on sandbox environment |
|
| 409 |
Conflict
This favorite already exist |
|
| 429 |
Too Many Requests
Maximum quota reached |